#pragma once
#include <string>
#include "gui_widget.h"

namespace Gui {
  class ToggleButton : public Button {
  public:
    ToggleButton(void);
    virtual void Draw(void);
    virtual ~ToggleButton(void) {}
    virtual void GetSizeRequested(float size[2]);
    virtual bool OnMouseDown(MouseButtonEvent* e);
    virtual void OnActivate(void);
    void SetPressed(bool s) { m_pressed = s; }
    bool GetPressed(void)   { return m_pressed; }

    sigc::signal<void, ToggleButton*, bool> onChange;
  private:
    int m_pressed;
  };
}

